I want to import a layout with a content already in it.
The content has to be a 3d object, scaled and orbited to be viewed from the right angle in the viewport.
I have some standard "details" as we call them. The proces now is that the detail is copied into the model space of the project and...
Thanx CarlAK, but that way it still doesn't continue the lisp once the user has coloured the faces. As soon as you select the color, the faces are coloured and you get the solidedit dropdownbox. If you exit that one, it exits the lisp too..
What I the user to be able to rotate the object...
I have tried to implement solidedit in a lisp.
I want the user to color faces.
The problem is that everytime I select te color and aply it, the dropdown box of solidedit apears and kicks me out of the lisp.
I want the lisp to continue after the faces have been selected and the color has been...
I have managed to get the following lisp working (Like a charm I might add.. ;))
(defun c:3dg ( / a)
(setq clay (getvar "clayer"))
;THE LOOP MUST START HERE
(command "layer" "set" "Hulplijnen" nil)
(command "_.PLINE")
(while (= (getvar "CMDNAMES") "PLINE")
(command...
#EDIT#
- User selects 2d polyline
- Lisp sets Z to 0
- Lisp requests extrude height
- Lisp request user to select next 2d polyl and next height or exit
Does anybody know a lisp that does the following:
- User selects 2d polyline
- Lisp requests extrude height
- Lisp request user to select next 2d polyl and next height or exit
Found one lisp on google, but that asks for way more input than I need..
For my company I have created a lisp that makes the placement of a custom hatch easy.
In it, the user gets to choose the hatch scale and angle by inserting the specific angle or real.
This works perfect, but I wanted to change the scale part.
I want the user to choose between three different...
This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
By continuing to use this site, you are consenting to our use of cookies.